#ifndef INSTRUCTORSVIEW_H
#define INSTRUCTORSVIEW_H

#include "instructorsAndTrainees_global.h"
#include "commonview.h"

//Родительский класс представления БД Инструкторов (для просмотра и управления)

class InstructorsView: public CommonView
{
    Q_OBJECT

public:
    InstructorsView(ConnectorToServer* connectorToServer, TypeView type, QWidget *parent = nullptr);

public Q_SLOTS:
    //Слот обработки сигнала необходимости обновления интерфейса
    void slot_NeedUpdateUI(bool treeInstructor, bool treeTrainee);

protected:
    virtual void updateButtons(){};
    void loadInstructorsFromDB();
    void setCurrentInstructor(int id);
};

#endif // INSTRUCTORSVIEW_H
